Loading...
Searching...
No Matches
caf::composable_behavior_based_actor< State, Base > Class Template Reference

Implementation class for spawning composable states directly as actors. More...

`#include <composable_behavior_based_actor.hpp>`

Inheritance diagram for caf::composable_behavior_based_actor< State, Base >:

## Public Types

using | super = stateful_actor<State, Base>
using | behavior_type = typename State::behavior_type

## Public Member Functions

| composable_behavior_based_actor (actor_config &cfg)
behavior_type | make_behavior () override
Public Member Functions inherited from caf::stateful_actor< State, typename State::actor_base >
| stateful_actor (actor_config &cfg, Ts &&... xs)
void | on_exit () final
| Destroys the state of this actor (no further overriding allowed).
const char * | name () const final
error | save_state (serializer &sink, unsigned int version) override
error | load_state (deserializer &source, unsigned int version) override

## Additional Inherited Members

Public Attributes inherited from caf::stateful_actor< State, typename State::actor_base >
State & | state
| A reference to the actor's state.
State | state_

## Detailed Description

template<class State, class Base = typename State::actor_base>
class caf::composable_behavior_based_actor< State, Base >

Implementation class for spawning composable states directly as actors.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/composable_behavior_based_actor.hpp